-- Customer specific once-script PNBR#31473.sql 

SET ECHO ON
SPOOL xPNBR#31473.lst
SET DEFINE OFF

-- key 1621 is discipline software, key 85 is insupd 
DECLARE
   CURSOR c
   IS
      SELECT   'S'
               || TRIM(TO_CHAR (ROW_NUMBER () OVER (ORDER BY ins_deel_key),
                                '0000'))
                  nr,
               ins_deel_key
        FROM   ins_deel
       WHERE   ins_Deel_key IN
                     (SELECT   d.ins_Deel_key
                        FROM   ins_deel d, ins_srtdeel sd, ins_srtgroep sg
                       WHERE       d.ins_srtdeel_key = sd.ins_srtdeel_key
                               AND sd.ins_srtgroep_key = sg.ins_srtgroep_key
                               AND sg.ins_discipline_key = 1621
                               AND ins_deel_verwijder IS NULL);
BEGIN
   FOR rec IN c
   LOOP
      BEGIN
         UPDATE   ins_deel
            SET   ins_deel_omschrijving = rec.nr
          WHERE   rec.ins_deel_key = ins_deel_key;


         INSERT INTO fac_tracking (
                                      fac_tracking_refkey,
                                      fac_srtnotificatie_key,
                                      fac_tracking_oms
                    )
           VALUES   (
                        rec.ins_deel_key,
                        85,                                          
                        'Identificatie op verzoek van de provincie aangepast'
                    );
      END;
   END LOOP;

   UPDATE   ins_srtdeel
      SET   ins_srtdeel_code = 'S'
    WHERE   ins_srtdeel_key IN
                  (SELECT   ins_srtdeel_key
                     FROM   ins_srtdeel sd, ins_srtgroep sg
                    WHERE       sd.ins_srtgroep_key = sg.ins_srtgroep_key
                            AND sg.ins_discipline_key = 1621
                            AND ins_srtdeel_verwijder IS NULL);

   COMMIT;
END;
/

BEGIN adm.systrackscriptId('$Id$'); END;
/
COMMIT;

SPOOL OFF